"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const all = require("./src/components/all.js");
const index$u = require("../mobile/index.js");
const zhCn = require("../../node_modules/element-plus/es/locale/lang/zh-cn.js");
const index$v = require("../../node_modules/element-plus/es/index.js");
const VxeUIBase = require("vxe-pc-ui");
;/* empty css                                         */
;/* empty css                      */
const layout = require("./src/directive/layout.js");
const auth = require("./src/directive/auth.js");
const fecVue = {
  install: (app) => {
    for (let c in all) {
      app.use(all[c]);
    }
    for (let c in index$u) {
      if (c.startsWith("Mobile")) {
        app.use(index$u[c]);
      }
    }
    app.use(index$v.default, {
      locale: zhCn.default
    });
    app.use(VxeUIBase);
    app.use(layout.default);
    app.use(auth.default);
  }
};
exports.default = fecVue;
